# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['controlnet_k',
 'controlnet_k.annotator',
 'controlnet_k.annotator.canny',
 'controlnet_k.annotator.hed',
 'controlnet_k.annotator.midas',
 'controlnet_k.annotator.midas.midas',
 'controlnet_k.annotator.mlsd',
 'controlnet_k.annotator.mlsd.models',
 'controlnet_k.annotator.openpose',
 'controlnet_k.annotator.uniformer',
 'controlnet_k.annotator.uniformer.configs._base_',
 'controlnet_k.annotator.uniformer.configs._base_.datasets',
 'controlnet_k.annotator.uniformer.configs._base_.models',
 'controlnet_k.annotator.uniformer.configs._base_.schedules',
 'controlnet_k.annotator.uniformer.exp.upernet_global_small',
 'controlnet_k.annotator.uniformer.mmcv',
 'controlnet_k.annotator.uniformer.mmcv.arraymisc',
 'controlnet_k.annotator.uniformer.mmcv.cnn',
 'controlnet_k.annotator.uniformer.mmcv.cnn.bricks',
 'controlnet_k.annotator.uniformer.mmcv.cnn.utils',
 'controlnet_k.annotator.uniformer.mmcv.engine',
 'controlnet_k.annotator.uniformer.mmcv.fileio',
 'controlnet_k.annotator.uniformer.mmcv.fileio.handlers',
 'controlnet_k.annotator.uniformer.mmcv.image',
 'controlnet_k.annotator.uniformer.mmcv.ops',
 'controlnet_k.annotator.uniformer.mmcv.parallel',
 'controlnet_k.annotator.uniformer.mmcv.runner',
 'controlnet_k.annotator.uniformer.mmcv.runner.hooks',
 'controlnet_k.annotator.uniformer.mmcv.runner.hooks.logger',
 'controlnet_k.annotator.uniformer.mmcv.runner.optimizer',
 'controlnet_k.annotator.uniformer.mmcv.utils',
 'controlnet_k.annotator.uniformer.mmcv.video',
 'controlnet_k.annotator.uniformer.mmcv.visualization',
 'controlnet_k.annotator.uniformer.mmcv_custom',
 'controlnet_k.annotator.uniformer.mmseg.apis',
 'controlnet_k.annotator.uniformer.mmseg.core',
 'controlnet_k.annotator.uniformer.mmseg.core.evaluation',
 'controlnet_k.annotator.uniformer.mmseg.core.seg',
 'controlnet_k.annotator.uniformer.mmseg.core.seg.sampler',
 'controlnet_k.annotator.uniformer.mmseg.core.utils',
 'controlnet_k.annotator.uniformer.mmseg.datasets',
 'controlnet_k.annotator.uniformer.mmseg.datasets.pipelines',
 'controlnet_k.annotator.uniformer.mmseg.models',
 'controlnet_k.annotator.uniformer.mmseg.models.backbones',
 'controlnet_k.annotator.uniformer.mmseg.models.decode_heads',
 'controlnet_k.annotator.uniformer.mmseg.models.losses',
 'controlnet_k.annotator.uniformer.mmseg.models.necks',
 'controlnet_k.annotator.uniformer.mmseg.models.segmentors',
 'controlnet_k.annotator.uniformer.mmseg.models.utils',
 'controlnet_k.annotator.uniformer.mmseg.ops',
 'controlnet_k.annotator.uniformer.mmseg.utils',
 'controlnet_k.cldm',
 'controlnet_k.ldm',
 'controlnet_k.ldm.data',
 'controlnet_k.ldm.models',
 'controlnet_k.ldm.models.diffusion',
 'controlnet_k.ldm.models.diffusion.dpm_solver',
 'controlnet_k.ldm.modules',
 'controlnet_k.ldm.modules.diffusionmodules',
 'controlnet_k.ldm.modules.distributions',
 'controlnet_k.ldm.modules.encoders',
 'controlnet_k.ldm.modules.image_degradation',
 'controlnet_k.ldm.modules.midas',
 'controlnet_k.ldm.modules.midas.midas']

package_data = \
{'': ['*'],
 'controlnet_k': ['models/*'],
 'controlnet_k.annotator': ['ckpts/*'],
 'controlnet_k.annotator.uniformer.mmcv': ['model_zoo/*'],
 'controlnet_k.ldm.modules.image_degradation': ['utils/*']}

setup_kwargs = {
    'name': 'controlnet-k',
    'version': '0.1.2',
    'description': 'fork of controlnet model',
    'long_description': '',
    'author': 'Fork ',
    'author_email': 'hello@fal.ai',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
